Update Workspace

PATCH /workspaces/{slug}

Update a workspace

Path Parameters

slug string required

Body Parameters

name string
description string
curl -X PATCH \
-H "x-api-key: dsk_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"name": "My Workspace",
"description": "Invoice processing workspace"
}' \
https://api.tracore.io/workspaces/my-workspace
import { TracoreClient } from '@tracore/sdk';

const client = new TracoreClient({ apiKey: 'dsk_your_api_key' });

const workspace = await client.workspaces.update('my-workspace', {
name: 'Updated Workspace',
});
console.log(workspace);
200 Response
{
  "id": "ws_abc123",
  "slug": "my-workspace",
  "name": "My Workspace",
  "description": "Invoice processing workspace",
  "createdBy": "usr_abc123",
  "createdAt": "2024-03-15T10:30:00Z",
  "updatedAt": "2024-03-15T10:30:00Z"
}